<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/drawerContainer"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:context="bou.amine.apps.readerforselfossv2.android.HomeActivity">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/coordLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:id="@+id/intern_coordLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.google.android.material.appbar.AppBarLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <androidx.appcompat.widget.Toolbar
                        android:id="@+id/toolBar"
                        android:layout_width="match_parent"
                        android:layout_height="?attr/actionBarSize"
                        android:theme="@style/ToolBarStyle"
                        app:popupTheme="?attr/toolbarPopupTheme"

                        />

                </com.google.android.material.appbar.AppBarLayout>

                <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                    android:id="@+id/swipeRefreshLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="?android:attr/windowBackground"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/emptyText"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:gravity="center_horizontal"
                            android:paddingTop="100dp"
                            android:text="@string/nothing_here"
                            android:textAlignment="center"
                            android:textAppearance="@style/TextAppearance.AppCompat.Headline"
                            android:visibility="gone" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/recyclerView"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:clipToPadding="false"
                            android:paddingBottom="60dp"
                            android:scrollbars="vertical"
                            app:layout_behavior="@string/appbar_scrolling_view_behavior"
                            tools:listitem="@layout/list_item" />
                    </LinearLayout>

                </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

            </LinearLayout>

        </androidx.coordinatorlayout.widget.CoordinatorLayout>

        <com.ashokvarma.bottomnavigation.BottomNavigationBar
            android:id="@+id/bottomBar"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_gravity="bottom"
            app:bnbActiveColor="@color/colorAccent"
            app:bnbBackgroundColor="?attr/bottomBarBackground" />
    </androidx.coordinatorlayout.widget.CoordinatorLayout>
</androidx.drawerlayout.widget.DrawerLayout>